## org.apache.commons.collections.map
Class AbstractHashedMap.HashMapIterator

    java.lang.Object
      org.apache.commons.collections.map.AbstractHashedMap.HashIterator
          org.apache.commons.collections.map.AbstractHashedMap.HashMapIterator

All Implemented Interfaces:
  java.util.Iterator, MapIterator

Enclosing class:
  AbstractHashedMap

    protected static class AbstractHashedMap.HashMapIterator

extends AbstractHashedMap.HashIterator
implements MapIterator

MapIterator implementation.

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashIterator
`expectedModCount, hashIndex, last, next, parent`

Constructor Summary
`protected` `AbstractHashedMap.HashMapIterator(AbstractHashedMap parent)`

Method Summary
`java.lang.Object` `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
`java.lang.Object` `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
`java.lang.Object` `next()` Gets the next key from the `Map`.
`java.lang.Object` `setValue(java.lang.Object value)` Sets the value associated with the current key (optional operation).

Methods inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashIterator
`currentEntry, hasNext, nextEntry, remove, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.MapIterator
`hasNext, remove`

Constructor Detail

### AbstractHashedMap.HashMapIterator

    protected AbstractHashedMap.HashMapIterator(AbstractHashedMap parent)

Method Detail

### next

    public java.lang.Object next()

  Description copied from interface: `MapIterator`
  Gets the next key from the `Map`.

  Specified by:
    `next` in interface `java.util.Iterator`
  Specified by:
    `next` in interface `MapIterator`
  Returns:
    the next key in the iteration

### getKey

    public java.lang.Object getKey()

  Description copied from interface: `MapIterator`
  Gets the current key, which is the key returned by the last call to `next()`.

  Specified by:
    `getKey` in interface `MapIterator`
  Returns:
    the current key

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `MapIterator`
  Gets the current value, which is the value associated with the last key returned by `next()`.

  Specified by:
    `getValue` in interface `MapIterator`
  Returns:
    the current value

### setValue

    public java.lang.Object setValue(java.lang.Object value)

  Description copied from interface: `MapIterator`
  Sets the value associated with the current key (optional operation).

  Specified by:
    `setValue` in interface `MapIterator`
  Parameters:
    `value` - the new value
  Returns:
    the previous value

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.